<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag;

class HonorarVertragPresenter extends \Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\HonorarPresenter
{
  protected function getExtraHtml()
  {
    return $this->getVertragsdruck();
  }

  private function getVertragsdruck()
  {
    $viewModel = new HonorarVertragDruckViewModel();
    $viewModel->vertragsDruckAllowed = $this->useCaseResponse->vertragsDruckAllowed;
    $viewModel->vertragBereitsAkzeptiert = $this->useCaseResponse->vertragBereitsAkzeptiert;
    $viewModel->vertragBereitsAbgelehnt = $this->useCaseResponse->vertragBereitsAbgelehnt;
    $viewModel->vertragAkzeptierenAllowed = $this->useCaseResponse->vertragAkzeptierenAllowed;
    $viewModel->vertragAblehnenAllowed = $this->useCaseResponse->vertragAblehnenAllowed;
    $viewModel->zeigeTermineReiterButton = $this->useCaseResponse->zeigeTermineReiterButton;
    $viewModel->zeigeAuftragsbestaetigungButton = $this->useCaseResponse->zeigeAuftragsbestaetigungButton;
    $viewModel->vertragAkzeptierenMitEingabefeld = $this->useCaseResponse->vertragAkzeptierenMitEingabefeld;
    $viewModel->vertragAblehnenMitEingabefeld = $this->useCaseResponse->vertragAblehnenMitEingabefeld;
    $viewModel->teilnahmeDigitalesVertragsverfahren = $this->useCaseResponse->teilnahmeDigitalesVertragsverfahren;
    $viewModel->knr = $this->useCaseResponse->kurs->id;

    $view = new HonorarVertragDruckView($viewModel);

    $result = '';
    $result .= $view->getHeader();
    $result .= $view->getBody();
    $result .= $view->getFooter();

    return $result;
  }
}